MODPROBE(8)

NUME

modprobe - adaugă și elimină module din nucleul Linux

SINOPSIS

modprobe [-v] [-V] [-C fișier-configurare] [-n] [-i] [-q] [-b] [nume-modul]
         [parametrii-modul...]

modprobe [-r] [-v] [-n] [-i] [nume-modul...]

modprobe [-c]

modprobe [--dump-modversions] [nume-fișier]

DESCRIERE

modprobe adaugă sau elimină în mod inteligent un modul din nucleul Linux: rețineți că, pentru comoditate, nu există nicio diferență între _ și - în numele modulelor (se efectuează o conversie automată a caracterelor de subliniere). modprobe caută în directorul de module „/usr/lib/`uname -r`” toate modulele și alte fișiere, cu excepția fișierelor de configurare opționale din directorul „/etc/modprobe.d” (a se vedea modprobe.d(5)). modprobe va utiliza, de asemenea, opțiunile de modul specificate în linia de comandă a nucleului sub forma <modul>.<opțiune> și listele negre sub forma modprobe.blacklist=<modul>.

Rețineți că, spre deosebire de nucleele Linux din seria 2.4 (care nu sunt acceptate de acest instrument), această versiune de modprobe nu face nimic pentru modulul în sine: activitatea de rezolvare a simbolurilor și de înțelegere a parametrilor se face în interiorul nucleului. Astfel, eșecul modulului este uneori însoțit de un mesaj din nucleu: a se vedea dmesg(8).

modprobe se așteaptă la un fișier „modules.dep.bin” actualizat, așa cum este generat de instrumentul depmod corespunzător livrat împreună cu modprobe (a se vedeai depmod(8)). Acest fișier listează de care alte module are nevoie fiecare modul (dacă este cazul), iar modprobe îl folosește pentru a adăuga sau elimina automat aceste dependențe.

Dacă sunt date argumente după numele-modulului, acestea sunt transmise nucleului (în plus față de orice opțiuni enumerate în fișierul de configurare).

La încărcarea modulelor, numele-modulului poate fi, de asemenea, o rută către modul. În cazul în care ruta este relativă, aceasta trebuie să înceapă în mod explicit cu „./”. Rețineți că acest lucru poate eșua atunci când se utilizează o rută către un modul cu dependențe care nu se potrivesc cu baza de date „depmod” instalată.

OPȚIUNI

-a, --all
    Inserează toate numele modulelor în linia de comandă.

-b, --use-blacklist
    Această opțiune face ca modprobe să aplice comenzile blacklist din fișierele de configurare (dacă există) și la numele modulelor. De obicei, este utilizată de udev(7).

-C director, --config=director
    Această opțiune suprascrie directorul de configurare implicit. A se vedea modprobe.d(5).

    Această opțiune este pasată prin intermediul comenzilor install sau remove către alte comenzi modprobe în variabila de mediu MODPROBE_OPTIONS.

-c, --showconfig
    Afișează configurația efectivă din directorul „config” și iese.

--dump-modversions
    Afișează o listă de informații privind versiunile modulelor, solicitate de un modul. Această opțiune este utilizată în mod obișnuit de către distribuții pentru a împacheta un modul din nucleul Linux folosind „module versioning deps” (dependențele de versiunea modulului).

-d, --dirname
    Directorul rădăcină pentru module, în mod implicit „/”.

--first-time
    În mod normal, modprobe va reuși (și nu va face nimic) dacă i se spune să introducă un modul care este deja prezent sau să elimine un modul care nu este prezent. Acest lucru este ideal pentru scripturile simple; cu toate acestea, scripturile mai complicate doresc adesea să știe dacă modprobe a făcut într-adevăr ceva: această opțiune face ca modprobe să eșueze în cazul în care nu a făcut nimic.

--force-vermagic
    Fiecare modul conține un mic șir de caractere care conține informații importante, cum ar fi versiunile nucleului și ale compilatorului. În cazul în care un modul nu se încarcă și nucleul se plânge că „versiunea magică” nu se potrivește, puteți utiliza această opțiune pentru a-l elimina. Bineînțeles, această verificare există pentru protecția dumneavoastră, așa că utilizarea acestei opțiuni este periculoasă dacă nu știți ce faceți.

    Acest lucru se aplică tuturor modulelor inserate: atât modulul (sau alias) din linia de comandă, cât și modulele de care acesta depinde.

--force-modversion
    Atunci când modulele sunt compilate cu opțiunea CONFIG_MODVERSIONS activată, este creată o secțiune care detaliază versiunile fiecărei interfețe utilizate de (sau furnizate de) modulul respectiv. Dacă un modul nu reușește să se încarce și nucleul se plânge că modulul nu este în acord cu versiunea unei anumite interfețe, puteți utiliza opțiunea „--force-modversion” pentru a elimina informațiile despre versiune în totalitate. Bineînțeles, această verificare există pentru protecția dumneavoastră, așa că utilizarea acestei opțiuni este periculoasă dacă nu știți ce faceți.

    Acest lucru se aplică tuturor modulelor inserate: atât modulul (sau alias) din linia de comandă, cât și modulele de care acesta depinde.

-f, --force
    Încearcă să elimine din modul orice informație de versiune care ar putea împiedica încărcarea acestuia: aceasta este același lucru ca și cum s-ar folosi atât --force-vermagic cât și --force-modversion. Bineînțeles, aceste verificări există pentru protecția dumneavoastră, așa că utilizarea acestei opțiuni este periculoasă dacă nu știți ce faceți.

    Acest lucru se aplică tuturor modulelor inserate: atât modulul (sau alias) din linia de comandă, cât și modulele de care acesta depinde.

-i, --ignore-install, --ignore-remove
    Această opțiune face ca modprobe să ignore comenzile install și remove din fișierul de configurare (dacă există) pentru modulul specificat în linia de comandă (orice module dependente sunt în continuare supuse comenzilor stabilite pentru ele în fișierul de configurare). Atât comenzile install, cât și remove vor fi în prezent ignorate atunci când se utilizează această opțiune, indiferent dacă solicitarea a fost făcută mai exact doar cu una sau alta (și nu cu ambele) dintre --ignore-install sau --ignore-remove. A se vedea modprobe.d(5).

-n, --dry-run, --show
    Această opțiune face totul, cu excepția inserării sau ștergerii modulelor (sau a executării comenzilor de instalare sau de ștergere). Combinată cu -v, este utilă pentru depistarea problemelor la depanare. Din motive istorice, atât --dry-run, cât și --show înseamnă de fapt același lucru și sunt interschimbabile.

-q, --quiet
    Cu această opțiune, modprobe nu va afișa un mesaj de eroare dacă încercați să eliminați sau să inserați un modul pe care modprobe nu îl poate găsi (și nu este un alias sau o comandă install/remove). Cu toate acestea, va returna în continuare cu o stare de ieșire diferită de zero. Nucleul folosește acest lucru pentru a căuta în mod oportunist modulele care ar putea exista folosind „request_module”.

-R, --resolve-alias
    Afișează toate numele modulelor care corespund unui alias. Acest lucru poate fi util pentru depanarea problemelor legate de pseudonimele modulelor.

-r, --remove
    Această opțiune face ca modprobe să elimine mai degrabă decât să insereze un modul. Dacă modulele de care depinde sunt de asemenea nefolosite, modprobe va încerca să le elimine și pe acestea. Spre deosebire de inserare, în linia de comandă pot fi specificate mai multe module (nu are sens să se specifice parametrii modulelor atunci când se elimină module).

    De obicei, nu există niciun motiv pentru a elimina modulele, dar unele module cu erori necesită o eliminare. Este posibil ca nucleul distribuției dvs. să nu fi fost construit pentru a permite eliminarea tuturor modulelor.

-w TIMP-AȘTEPTARE_MSEC, --wait=TIMP-AȘTEPTARE_MSEC
    Această opțiune face ca modprobe -r să continue să încerce să elimine un modul dacă nu reușește din cauza faptului că modulul este ocupat, adică dacă numărul de referință nu este 0 în momentul în care se face apelul. «modprobe» încearcă să elimine modulul cu un timp de așteptare incremental între fiecare tentativă până la timpul maxim de așteptare în milisecunde trecut în această opțiune.

-S versiune, --set-version=versiune
    Stabilește versiunea nucleului, mai degrabă decât să folosească uname(2) pentru a decide asupra versiunii nucleului (care dictează unde se găsesc modulele).

--show-depends
    Enumeră dependențele unui modul (sau alias), inclusiv modulul însuși. Acest lucru produce un set (posibil gol) de nume de fișiere de module, unul pe linie, fiecare începând cu „insmod” și este utilizat de obicei de distribuții pentru a determina ce module să includă atunci când generează imagini initrd/initramfs. Comenzile install care se aplică sunt afișate cu prefixul „install”. Nu execută niciuna dintre comenzile de instalare. Rețineți că modinfo(8) poate fi utilizat pentru a extrage dependențele unui modul din modulul însuși, dar nu știe nimic despre alias sau comenzi de instalare.

-s, --syslog
    Această opțiune face ca toate mesajele de eroare să treacă prin mecanismul syslog (ca LOG_DAEMON cu nivelul LOG_NOTICE) mai degrabă decât la ieșirea de eroare standard. Această opțiune este, de asemenea, activată automat atunci când ieșirea de eroare standard nu este disponibilă.

    Această opțiune este pasată prin intermediul comenzilor install sau remove către alte comenzi modprobe în variabila de mediu MODPROBE_OPTIONS.

-V, --version
    Afișează versiunea programului și iese.

-v, --verbose
    Afișează mesaje despre ceea ce face programul. De obicei, modprobe afișează mesaje doar dacă ceva nu merge bine.

    Această opțiune este pasată prin intermediul comenzilor install sau remove către alte comenzi modprobe în variabila de mediu MODPROBE_OPTIONS.

MEDIU

Variabila de mediu MODPROBE_OPTIONS poate fi, de asemenea, utilizată pentru a pasa argumente către modprobe.

Variabila de mediu provine din punerea în aplicare a regulilor de instalare.

DREPTURI DE AUTOR

Această pagină de manual este inițial cu drepturi de autor 2002, Rusty Russell, IBM Corporation.

CONSULTAȚI ȘI

modprobe.d(5), insmod(8), rmmod(8), lsmod(8), modinfo(8), depmod(8)

ERORI

Vă rugăm să transmiteți orice raport de eroare la sistemul de urmărire a erorilor al kmod la https://github.com/kmod-project/kmod/issues/, împreună cu versiunea utilizată, pașii de reproducere a problemei și rezultatul așteptat.

AUTORI

Numeroase contribuții au venit de pe lista de discuții linux-modules <linux-modules@vger.kernel.org> și din Github. Dacă aveți o clonă de kmod.git în sine, ieșirea din git-shortlog(1) și git-blame(1) vă poate arăta autorii pentru anumite părți ale proiectului.

Lucas De Marchi <lucas.de.marchi@gmail.com> este responsabilul actual al proiectului.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.